<?php

/*
Written by Chris Jean for iThemes.com
Version 1.0.2

Version History
	See history.txt
*/



if ( ! class_exists( 'LayoutModuleFooter' ) ) {
	class LayoutModuleFooter extends LayoutModule {
		var $_name = 'Footer';
		var $_var = 'footer';
		var $_description = 'This module adds a place for the footer to render. Most layouts will have this module at the bottom of the layout.';
		var $_max = 1;
		var $_editor_width = 450;
		
		
		function _get_defaults( $defaults ) {
			$defaults['sidebar'] = 'none';
			
			return $defaults;
		}
		
		function _render( $fields ) {
			do_action( 'get_footer' );
			do_action( 'builder_layout_engine_render_footer' );
		}
	}
	
	new LayoutModuleFooter();
}


?>
