<?php

function render_content() {
	
?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); // the loop ?>
		
	<!--Post Wrapper Class-->
	<div <?php if (function_exists('post_class')) { post_class(); } else { echo 'class="post"'; } ?>>
	
	<!--Title/Date/Meta-->
	<div class="title wrap">
		<div class="post-title">
			<h1 id="post-<?php the_ID(); ?>"><?php the_title(); ?></h1>
		</div>
		<div class="post-meta">
			By <span class="meta-author"><?php the_author_posts_link(); ?></span>
		</div>
		<div class="date">
			<span class="weekday"><?php the_time( 'l' ); ?><span class="weekday-comma">,</span></span>
			<span class="month"><?php the_time( 'F' ); ?></span>
			<span class="day"><?php the_time( 'j' ); ?><span class="day-suffix"><?php the_time( 'S' ); ?></span><span class="day-comma">,</span></span>
			<span class="year"><?php the_time( 'Y' ); ?></span>
		</div>
	</div>
	
	<!--post text with the read more link-->
	<div class="post-content">
		<?php the_content('Read More&rarr;'); ?>
		<?php edit_post_link('Edit this entry.', '<p>', '</p>'); ?>
	</div>
	<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
	<!--post meta info-->
	<div class="meta-bottom wrap">
		<div class="alignleft"><span class="categories">Categories : <?php the_category(', ') ?></span></div>
	</div>
	
	</div><!--end .post-->
	
	<?php comments_template(); // include comments template ?>
	
	<?php endwhile; // end of one post ?>
	<?php else : // do not delete ?>

	<h3><?php _e("Page not Found"); ?></h3>
	<p><?php _e("We're sorry, but the page you're looking for isn't here."); ?></p>
	<p><?php _e("Try searching for the page you are looking for or using the navigation in the header or sidebar"); ?></p>
	
	<?php endif; // do not delete ?>
<?php
	
}

add_action( 'builder_layout_engine_render_content', 'render_content' );

do_action( 'builder_layout_engine_render', basename( __FILE__ ) );


?>
