<?php

/*
Written by Chris Jean for iThemes.com
Version 2.2.0

Version History
	See history.txt
*/



if ( ! class_exists( 'LayoutModuleContent' ) ) {
	class LayoutModuleContent extends LayoutModule {
		var $_name = 'Content';
		var $_var = 'content';
		var $_description = 'This module adds a place for the content to render. Most layouts will have this module.';
		var $_max = 1;
		var $_editor_width = 450;
		
		
		function _render( $fields ) {
			echo "<!-- {$fields['view']} -->\n";
			do_action( 'builder_layout_engine_render_content' );
		}
	}
	
	new LayoutModuleContent();
}


?>
